--- title: "Get New Services" slug: "get-new-services" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:37:28Z published: 2026-09-23T09:37:28Z canonical: "docs.trellix.com/get-new-services" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get New Services This URL gets the list of new services. ## Resource URL GET /ntbamonitors/{ntbaId}/newservices? TopN= ## Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | ntbaId | NTBA monitor id | Number | Yes | | TopN | Number of top rows, default 50. | Number | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | services | List of services | Array | Details of services: | Field Name | Description | Data Type | | --- | --- | --- | | service | Service name | String | | serviceId | Service id | Number | | protocol | Protocol | String | | lastSeen | Last seen | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/newservices](https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/newservices) **Response** ``` {  "services":[{         "service":"Unprofiled",         "serviceId":0,         "protocol":"ipv4",          "lastSeen":"2013-08-27 16:44:06"           }] } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id |